<?php
// $Id: luceneapi_node.admin.inc,v 1.5.2.4 2009/03/18 02:18:43 cpliakas Exp $

/**
 * @file
 * Administrative settings callbacks for the Search Lucene Content module.
 */

/**
 * Administrative settings.
 *
 * @return
 *   An array of form elements.
 */
function luceneapi_node_admin_settings() {
  $form = array();

  // adds facet settings to admin form
  luceneapi_common_settings('luceneapi_node', $form);

  // name of the search tab
  $form['search']['luceneapi_node_search_name'] = array(
    '#type' => 'textfield',
    '#title' => t('Search name'),
    '#default_value' => luceneapi_node_variable_get('search_name'),
    '#maxlength' => 64,
    '#description' => t(
      'Return value of <code>hook_search(&#039;name&#039;)</code>'
    ),
  );

  // strip core search from view
  $form['search']['luceneapi_node_hide_core_search'] = array(
    '#type' => 'radios',
    '#title' => t('Hide core search'),
    '#default_value' => luceneapi_node_variable_get('hide_core_search'),
    '#options' => array(
      1 => t('Yes'),
      0 => t('No'),
    ),
    '#description' => t(
      'Hides the core search, redirects core searches to luceneapi_node.'
    ),
  );

  // redirection
  $form['search']['luceneapi_node_redirect_code'] = array(
    '#type' => 'select',
    '#title' => t('Redirection status code'),
    '#default_value' => luceneapi_node_variable_get('redirect_code'),
    '#options' => array(
      301 => '301 - '. t('Moved permanently'),
      302 => '302 - '. t('Found'),
      307 => '307 - '. t('Temporary Redirect'),
    ),
    '#description' => t(
      'Status code used to redirect core search queries to luceneapi_node if core searches are hidden.'
    ),
  );

  // content type settings
  $form['type'] = array(
    '#type' => 'fieldset',
    '#title' => t('Content types'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  // description content type checkboxes
  $type_descrip = 'The selected content types will not be indexed. <b>You must'
                .' rebuild the index</b> after changing these settings.';

  // content types excluded from the index
  $form['type']['luceneapi_node_excluded_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Types excluded from index'),
    '#options' => array_map('check_plain', node_get_types('names')),
    '#default_value' => luceneapi_node_variable_get('excluded_types'),
    '#description' => t($type_descrip),
  );

  return system_settings_form($form);
}
